GUIX(PUBLISH)

NAME
guix publish (GNU Guix) - manual page for guix publish (GNU Guix) 1.3.0

SYNOPSIS
guix publish [OPTION]...

DESCRIPTION
Publish /gnu/store over HTTP.

-p, --port=PORT
    listen on PORT

--listen=HOST
    listen on the network interface for HOST

-u, --user=USER
    change privileges to USER as soon as possible

-a, --advertise
    advertise on the local network

-C, --compression[=METHOD:LEVEL]
    compress archives with METHOD at LEVEL

-c, --cache=DIRECTORY
    cache published items to DIRECTORY

--cache-bypass-threshold=SIZE
    serve store items below SIZE even when not cached

--workers=N
    use N workers to bake items

--ttl=TTL
    announce narinfos can be cached for TTL seconds

--nar-path=PATH
    use PATH as the prefix for nar URLs

--public-key=FILE
    use FILE as the public key for signatures

--private-key=FILE use FILE as the private key for signatures

-r, --repl[=PORT]
    spawn REPL server on PORT

-h, --help
    display this help and exit

-V, --version
    display version information and exit

REPORTING BUGS
Report bugs to: bug-guix@gnu.org.
GNU Guix home page: <https://www.gnu.org/software/guix/>
General help using Guix and GNU software: <https://guix.gnu.org/en/help/>

COPYRIGHT
Copyright © 2021 the Guix authors License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.

SEE ALSO
The full documentation for guix publish (GNU Guix) is maintained as a Texinfo manual. If the info and guix publish (GNU Guix) programs are properly installed at your site, the command

    info guix

should give you access to the complete manual.